commit:     93a58003c97f0f7f9ec18cd541b431b601d822e9
Author:     Martin Gysel <me <AT> bearsh <DOT> org>
AuthorDate: Sat Nov 12 10:04:00 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 13:55:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93a58003

dev-vcs/git-cola: add 4.0.3

Closes: https://bugs.gentoo.org/881063
Signed-off-by: Martin Gysel <me <AT> bearsh.org>
Closes: https://github.com/gentoo/gentoo/pull/28243
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-vcs/git-cola/Manifest              |  1 +
 dev-vcs/git-cola/git-cola-4.0.3.ebuild | 79 ++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-vcs/git-cola/Manifest b/dev-vcs/git-cola/Manifest
index b5948d6a2fb9..bcce2ff071ce 100644
--- a/dev-vcs/git-cola/Manifest
+++ b/dev-vcs/git-cola/Manifest
@@ -1,3 +1,4 @@
 DIST git-cola-3.12.0.tar.gz 1004892 BLAKE2B 
9396768256341e59500dffc95136e710b2d3d1c9d5cb4d70fc7fba8e81e16a3656006b5558dae417fbbad7baf1373d953708006b96a8873f68502ea469462326
 SHA512 
4b8ec716f572682747f43ae1a9232612d95d44384d28bbf97ef461a93546cdfcc81125f816b4c8ea5efcf4d23f42edeb8a89df3c7167ceac4709eeeaf49965a9
 DIST git-cola-4.0.1.tar.gz 1018819 BLAKE2B 
523264bbee38526d12db5ad975d78c72ef6c0dae98566f5a8b5d51b115d222c8aa6daab838ba67fa4c697391c8f58d4b05ddb7920bf65913d217f562aabd352f
 SHA512 
c02150997982c1f8ce65a5f021364fc4c346339f5be4104f82ba6f7688cc05bad3d764e2cf920a22c5f209dc4b857c789907ff58c0d2809bc7ca7c3481b045fd
 DIST git-cola-4.0.2.tar.gz 1022362 BLAKE2B 
6f1d6aa6fa6c308f28150018eea8a110c2ceb35ac5e904844568a503e1ebfdb07d9d79b7fa6542aa734c62ae5e5b2e41bb26c99b23a7a84067c102598354cec1
 SHA512 
01a68caf12bff400b243a57a9b5a5f07c2c1bd1b90d50acc75806ffdd9377409a56dd591311667afab7508f1ff0d88e31744c1990db3f5f6ce9d977f3fa4068e
+DIST git-cola-4.0.3.tar.gz 1131525 BLAKE2B 
042ec4e0db5f9a9f947de3dcedc13c6dd2464ee29a9363f48b50622e88fbb878ed1034ff915e7a87b4a835f71dc11051e4649837e5f6de3ffe6bd84fea055d23
 SHA512 
06c032a9522dfefe4e95f64b00c79169da0bb68a4fc9966ac442da62cefc26a89155690b4b7bbe1fe79f8225d36e2459333bedb0cc0ef7e23521725607d9bc3b

diff --git a/dev-vcs/git-cola/git-cola-4.0.3.ebuild 
b/dev-vcs/git-cola/git-cola-4.0.3.ebuild
new file mode 100644
index 000000000000..68d4675e79db
--- /dev/null
+++ b/dev-vcs/git-cola/git-cola-4.0.3.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_SINGLE_IMPL=true
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 readme.gentoo-r1 virtualx xdg-utils
+
+DESCRIPTION="The highly caffeinated git GUI"
+HOMEPAGE="https://git-cola.github.io/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/pygments[${PYTHON_USEDEP}]
+               dev-python/PyQt5[${PYTHON_USEDEP},gui,widgets]
+               dev-python/QtPy[gui,network,${PYTHON_USEDEP}]
+               dev-python/send2trash[${PYTHON_USEDEP}]
+       ')
+       dev-vcs/git
+"
+BDEPEND="sys-devel/gettext
+       $(python_gen_cond_dep "
+               test? (
+                       ${VIRTUALX_DEPEND}
+                       dev-python/pytest[\${PYTHON_USEDEP}]
+                       dev-python/PyQt5[\${PYTHON_USEDEP},gui,widgets]
+               )
+       ")
+"
+
+# right now, dev-python/jaraco-packaging is mask, so we cannot generate docs
+#distutils_enable_sphinx docs \
+#      '>=dev-python/jaraco-packaging-9' \
+#      'dev-python/rst-linker'
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i "s|doc/git-cola =|doc/${PF} =|" setup.cfg || die
+       sed -i -e 's:--flake8::' pytest.ini || die
+       distutils-r1_src_prepare
+}
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       cd "${T}" || die
+       GIT_CONFIG_NOSYSTEM=true LC_ALL="C.utf8" \
+       epytest "${S}"/test
+}
+
+src_compile() {
+       SETUPTOOLS_SCM_PRETEND_VERSION=${PV} distutils-r1_src_compile
+}
+
+src_install() {
+       distutils-r1_src_install
+       readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to